<?php

namespace Src\Modules\Auth\Interfaces;

use Src\Sidebar\Interfaces\IFactory as ISidebarFactory;

interface IModulesProvider {
    public function getAuthFactory(): IFactory;
    public function getSidebarFactory(): ISidebarFactory;
}